<?php
	/*
	$author = "Tilman Walther 1 2 3 4 \n @ _ ! § $ % & / ( ) = ? . ; 0";
	$mailaddress = "sad tilman@tilman.de, stuffmaster@stuffmaster.de";
	
	
	$author = substr($author,0,50);
	$author = preg_replace('/[^A-z ,-9]/', '', $author); // $author darf keine Sonderzeichen enthalten (BCC-Gefahr)
	

	preg_match('/[\w.+-]{2,}\@[\w.-]{2,}\.[a-z]{2,6}/', $mailaddress, $mailadresses); // der reg. Ausdruck findet alle zulässigen E-Mail-Adressen

	
	echo "<html><body><p>\n";
		
	echo $author;
	echo "\n<br/>";
	echo $mailaddress;
	echo "\n<br/>";
	print_r($firstmailadress);
	echo "\n</p></body></html>";
	*/
	
	phpinfo();
	
//	echo CRYPT_MD5."<br>";
//	echo '['.crypt('defekt', 'mx').']<br>';
//	echo strtolower('Tilman<br>');
//	echo (!$testvar);
//	
//	echo '<br>'.substr('12345',0,1);
	
	
	// ----------------------------------------------------------------------
/*	mysql_connect('localhost', 'dbu1022769', 'fuB0gar7') or die ('Database error: Unable to connect to database.');
	mysql_select_db('db1022769-php') or die ('Database error: Unable to select database.');
	$login = 'flob';
	$c_passwort = crypt('alessi', '$1$fAr71ooc$');
	$result = mysql_query("SELECT * FROM users WHERE login='$login' and c_passwort='$c_passwort'");
	if (!$result) {
		die('SQL error: '.mysql_error());
	}
	else {
		if (mysql_num_rows($result) == 1) {
			// TODO: Zugriffsrechte in Session-Array ablegen
			$result = mysql_query('SELECT gruppen FROM users WHERE login="flob"');
			if (!$result) {
				echo 'Gruppenabfrage fehlgeschlagen<br>';
				die('SQL error: '.mysql_error());
			}
			else {
				$gruppenliste = explode(',',mysql_result($result,0));
			}
			exit;
		}
		else {
			die('falsches passwort');
		}
	}*/
	
?>
